playMaker

Author Topic: [SOLVED] Unity Ads problems 5.6  (Read 6827 times)

jasperPT

  • Full Member
  • ***
  • Posts: 110
  • I am a VFX Animator teaching myself to make games
    • View Profile
[SOLVED] Unity Ads problems 5.6
« on: May 01, 2017, 05:33:14 AM »
Hi

I am using Unity version 5.6
Playmaker Version 1.8.4

If I have the Unity Ads 2.1.0 installed and the playmaker action "UnityAdsShowAd" installed, then I get the following error:

Assets/PlayMaker Custom Actions/UnityAds/UnityAdsShowAd.cs(108,34): error CS0433: The imported type `UnityEngine.Advertisements.ShowResult' is defined multiple times

Any ideas on why this is or what I can do to fix it?


From my research it looks as if I need to uninstall the UnityAds 2.10 Package, and let Unity Services handle it.
However if I uninstall the package unity does not seem to be putting any of the required folders back into my project. Or does it not need to add anything to my actual project to work?

I have set up a blank project to test it out, only installing playmaker, and the unity ad action. With ads enabled in services and set to test mode.
However whenever I try to play an advert it does not do anything, not even send a failed event, it just sits in the state that has the "play ad" action.


What am I missing here?
« Last Edit: May 15, 2017, 05:10:12 AM by jasperPT »

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15411
  • Official Playmaker Support
    • View Profile
Re: Unity Ads problems 5.6
« Reply #1 on: May 03, 2017, 01:36:15 AM »
Hi,

 Yeah, the ad frameworks over time have really messed up things.

Have you deployed your test project? I am not sure it works in editor.

 Bye,

 Jean

jasperPT

  • Full Member
  • ***
  • Posts: 110
  • I am a VFX Animator teaching myself to make games
    • View Profile
Re: Unity Ads problems 5.6
« Reply #2 on: May 03, 2017, 05:29:05 AM »
Hi Jean

Yeh it is super annoying that they forced the whole thing to change.

I am in beta testing phase of the game at the moment and the ads do not work on device either.

I am having some issues getting in app purchases to work as well, but I think that is more of an issue with IOS Native after updating my project.
So frustrating.

Is the Unity Ad's thing something that looks like it might be fixed/updated any time soon? Is it a common thing that these do not work or is my project an outlier?

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15411
  • Official Playmaker Support
    • View Profile
Re: Unity Ads problems 5.6
« Reply #3 on: May 04, 2017, 01:42:44 AM »
Hi,

 I am going to have a look at this sometime next week ok? please bump me end of next week if you haven't heard back from me.

 Bye,

 Jean

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15411
  • Official Playmaker Support
    • View Profile
Re: Unity Ads problems 5.6
« Reply #4 on: May 15, 2017, 04:56:28 AM »
Hi,

 It's up, nothing dramatic, it was just an obsolete action, use set/get DebugMode now instead of DebugLevel. The rest works as is.

 Bye,

 Jean

jasperPT

  • Full Member
  • ***
  • Posts: 110
  • I am a VFX Animator teaching myself to make games
    • View Profile
Re: Unity Ads problems 5.6
« Reply #5 on: May 15, 2017, 05:09:55 AM »
Thanks so much for the help!

PaulH

  • Junior Playmaker
  • **
  • Posts: 50
    • View Profile
Re: Unity Ads problems 5.6
« Reply #6 on: September 14, 2017, 09:20:03 AM »
Thanks so much for the help!

hi
im using unity 4.5.2p4 and having the same problem. Please could you tell me what you did to fix?

if i delete the unity ads folder (and switch ads on in services) i get lots of errors in xcode. but now with the latest unity ads (downloaded from the asset store) the game just freezes when trying to show an ad.

many thanks

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15411
  • Official Playmaker Support
    • View Profile
Re: [SOLVED] Unity Ads problems 5.6
« Reply #7 on: September 15, 2017, 02:02:03 AM »
Hi,

 Unity 4.5.2 is not a supported platform anymore, and the Unity Ads system is likely only working properly starting with Unit 5.6

 Bye,

 Jean